XnModuleIRGeneratorInterface Struct Reference

`#include <XnModuleInterface.h>`

## Public Attributes

XnModuleMapGeneratorInterface * | pMapInterface
XnIRPixel *(* | GetIRMap )(XnModuleNodeHandle hGenerator)

## Detailed Description

IR generator Interface.

## Member Data Documentation

## GetIRMap

XnIRPixel *(* XnModuleIRGeneratorInterface::GetIRMap) (XnModuleNodeHandle hGenerator)

Gets the current IR-map. This map is updated after a call to WaitAndUpdateData().

## pMapInterface

XnModuleMapGeneratorInterface* XnModuleIRGeneratorInterface::pMapInterface

Contains map generator interface.

The documentation for this struct was generated from the following file:

- XnModuleInterface.h